coreEngine.Calibration.Operators

## Class CrossoverTwoPoint

- java.lang.Object
- - coreEngine.Calibration.Operators.CrossoverHelper
  - - coreEngine.Calibration.Operators.CrossoverTwoPoint

-     public class CrossoverTwoPoint
      extends CrossoverHelper

  Author:
    jltrask

- - ### Field Summary

    - ### Fields inherited from class coreEngine.Calibration.Operators.CrossoverHelper

      `alg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossoverTwoPoint(GeneticAlgorithm alg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CAFBinOrg[]` | `crossover(CAFBinOrg org1, CAFBinOrg org2)`
    `CapacityOrg2[]` | `crossover(CapacityOrg2 org1, CapacityOrg2 org2)`
    `HybridDemandCDPOrg[]` | `crossover(HybridDemandCDPOrg org1, HybridDemandCDPOrg org2)`
    `HybridDemandOrg[]` | `crossover(HybridDemandOrg org1, HybridDemandOrg org2)`
    `NDistCDPOrg[]` | `crossover(NDistCDPOrg org1, NDistCDPOrg org2)`
    `NDistOrg[]` | `crossover(NDistOrg org1, NDistOrg org2)`
    `PBDemCDPOrg[]` | `crossover(PBDemCDPOrg org1, PBDemCDPOrg org2)`
    `PBDemOrg[]` | `crossover(PBDemOrg org1, PBDemOrg org2)`

    - ### Methods inherited from class coreEngine.Calibration.Operators.CrossoverHelper

      `binStringCross, binStringCross`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrossoverTwoPoint

          public CrossoverTwoPoint(GeneticAlgorithm alg)

  - ### Method Detail

    - #### crossover

          public CAFBinOrg[] crossover(CAFBinOrg org1,
                                       CAFBinOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public CapacityOrg2[] crossover(CapacityOrg2 org1,
                                          CapacityOrg2 org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public PBDemOrg[] crossover(PBDemOrg org1,
                                      PBDemOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public PBDemCDPOrg[] crossover(PBDemCDPOrg org1,
                                         PBDemCDPOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public NDistOrg[] crossover(NDistOrg org1,
                                      NDistOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public NDistCDPOrg[] crossover(NDistCDPOrg org1,
                                         NDistCDPOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public HybridDemandOrg[] crossover(HybridDemandOrg org1,
                                             HybridDemandOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`

    - #### crossover

          public HybridDemandCDPOrg[] crossover(HybridDemandCDPOrg org1,
                                                HybridDemandCDPOrg org2)

      Specified by:
        `crossover` in class `CrossoverHelper`